%define _unpackaged_files_terminate_build 1

Name: screenie
Version: 0
Release: alt3.git20090118

Summary: Fancy screenshot composer
License: MIT
Group: Development/Python
Url: http://code.google.com/p/screenie/
Packager: Maxim Ivanov <redbaron at altlinux.org>

#http://github.com/slubman/screenie/tree/master
Source: %name-%version.tar
Source1: example.png
Patch1: %name-%version-%release.patch

BuildPreReq: libqt4-devel gcc-c++ ImageMagick

%description
Screenie a small tool to allow you to compose a fancy and stylish
screenshots. It is cross-platform (for Linux, Windows and
Mac OS X) and very easy to use. You will have an impressive
screenshot in just one minute!

%description -l ru_RU.UTF-8
Небольшая утилитка, облегчающая создание "гламурных" скриншотов.
Пример работы утилиты смотри в %_docdir/%name-%version/example.png

%prep
%setup
cp %SOURCE1 .
%patch1 -p1

%build
qmake-qt4 
lrelease-qt4 %name.pro
%make

%install
mkdir -p %buildroot%_desktopdir
mkdir -p %buildroot%_datadir/%name
install -m 644 screenie.desktop %buildroot%_desktopdir/
install -m 644 l10n/*.qm %buildroot%_datadir/%name/

#create icons:
mkdir -p %buildroot%_miconsdir %buildroot%_niconsdir %buildroot%_liconsdir
convert resources/screenie.ico -resize 16x16 %buildroot%_miconsdir/screenie.png
convert resources/screenie.ico -resize 32x32 %buildroot%_niconsdir/screenie.png
convert resources/screenie.ico -resize 48x48 %buildroot%_liconsdir/screenie.png

mkdir -p %buildroot%_bindir
install -m 755 screenie %buildroot%_bindir/

%files
%doc example.png LICENSE*
%_bindir/*
%_desktopdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_datadir/%name/*

%changelog
* Sat Apr 18 2009 Maxim Ivaniv <redbaron at altlinux.org> 0-alt3.git20090118
- Russian Translation added
- spec cleanup

* Sat Sep 20 2008 Maxim Ivanov <redbaron at altlinux.org> 0-alt2.git20080909
- Added postin, postun macroses

* Fri Sep 19 2008 Maxim Ivanov <redbaron at altlinux.org> 0-alt1.git20080909
- Initial build for Sisyphus

